> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search App Resources

> Invokes the c1.api.app.v1.AppResourceSearch.SearchAppResources method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/app_resources
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/app_resources:
    post:
      tags:
        - App Resource
      summary: Search App Resources
      description: Invokes the c1.api.app.v1.AppResourceSearch.SearchAppResources method.
      operationId: c1.api.app.v1.AppResourceSearch.SearchAppResources
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.app.v1.SearchAppResourcesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v1.SearchAppResourcesResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: SearchAppResources
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppResourceSearch.SearchAppResources(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchAppResourcesResponse != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appResourceSearch.searchAppResources();

              for await (const page of result) {
                console.log(page);
              }
            }


            run();
components:
  schemas:
    c1.api.app.v1.SearchAppResourcesRequest:
      description: The SearchAppResourcesRequest message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        appUserIds:
          description: The appUserIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        excludeDeletedResourceBindings:
          description: The excludeDeletedResourceBindings field.
          readOnly: false
          type: boolean
        excludeResourceIds:
          description: The excludeResourceIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        excludeResourceTypeTraitIds:
          description: The excludeResourceTypeTraitIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        ownerUserIds:
          description: The ownerUserIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        pageSize:
          description: The pageSize field.
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: The pageToken field.
          readOnly: false
          type: string
        query:
          description: The query field.
          readOnly: false
          type: string
        refs:
          description: The refs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppResourceRef'
          nullable: true
          readOnly: false
          type: array
        resourceIds:
          description: The resourceIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        resourceTypeIds:
          description: The resourceTypeIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        resourceTypeTraitIds:
          description: The resourceTypeTraitIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Search App Resources Request
      type: object
      x-speakeasy-name-override: SearchAppResourcesRequest
    c1.api.app.v1.SearchAppResourcesResponse:
      description: The SearchAppResourcesResponse message.
      properties:
        expanded:
          description: The expanded field.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            readOnly: false
            type: object
          nullable: true
          readOnly: false
          type: array
        list:
          description: The list field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppResourceView'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: The nextPageToken field.
          readOnly: false
          type: string
      title: Search App Resources Response
      type: object
      x-speakeasy-name-override: SearchAppResourcesResponse
    c1.api.app.v1.AppResourceRef:
      description: The AppResourceRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        appResourceTypeId:
          description: The appResourceTypeId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Resource Ref
      type: object
      x-speakeasy-name-override: AppResourceRef
    c1.api.app.v1.AppResourceView:
      description: >-
        The app resource view returns an app resource with paths for items in
        the expand mask filled in when this response is returned and a request
        expand mask has "*" or "app_id" or "resource_type_id".
      properties:
        appPath:
          description: >-
            JSONPATH expression indicating the location of the App object in the
            array
          readOnly: false
          type: string
        appResource:
          $ref: '#/components/schemas/c1.api.app.v1.AppResource'
        parentResourcePath:
          description: >-
            JSONPATH expression indicating the location of the Parent Resource
            object in the array
          readOnly: false
          type: string
        parentResourceTypePath:
          description: >-
            JSONPATH expression indicating the location of the Parent Resource
            Type object in the array
          readOnly: false
          type: string
        resourceTypePath:
          description: >-
            JSONPATH expression indicating the location of the Resource Type
            object in the array
          readOnly: false
          type: string
      title: App Resource View
      type: object
      x-speakeasy-name-override: AppResourceView
    c1.api.app.v1.AppResource:
      description: >
        The app resource message is a single resource that can have
        entitlements.


        This message contains a oneof named metadata. Only a single field of the
        following list may be set at a time:
          - secretTrait
      properties:
        appId:
          description: The app that this resource belongs to.
          readOnly: false
          type: string
        appResourceTypeId:
          description: The resource type that this resource is.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        customDescription:
          description: A custom description that can be set for a resource.
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        description:
          description: The description set for the resource.
          readOnly: false
          type: string
        displayName:
          description: The display name for this resource.
          readOnly: false
          type: string
        grantCount:
          description: The number of grants to this resource.
          format: int64
          readOnly: false
          type: string
        id:
          description: The id of the resource.
          readOnly: false
          type: string
        matchBatonId:
          description: The matchBatonId field.
          readOnly: false
          type: string
        parentAppResourceId:
          description: >-
            The parent resource id, if this resource is a child of another
            resource.
          readOnly: false
          type: string
        parentAppResourceTypeId:
          description: >-
            The parent resource type id, if this resource is a child of another
            resource.
          readOnly: false
          type: string
        secretTrait:
          $ref: '#/components/schemas/c1.api.app.v1.SecretTrait'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: App Resource
      type: object
      x-speakeasy-entity: App Resource
      x-speakeasy-name-override: AppResource
    c1.api.app.v1.SecretTrait:
      description: The SecretTrait message.
      nullable: true
      properties:
        identityAppUserId:
          description: The identityAppUserId field.
          readOnly: false
          type: string
        lastUsedAt:
          format: date-time
          readOnly: false
          type: string
        secretCreatedAt:
          format: date-time
          readOnly: false
          type: string
        secretExpiresAt:
          format: date-time
          readOnly: false
          type: string
      title: Secret Trait
      type: object
      x-speakeasy-name-override: SecretTrait
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````